Bug 11716 - Use new DataTables include in label manage template
Summary: Use new DataTables include in label manage template
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/labels/label-manage.pl?...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-07 19:36 UTC by Owen Leonard
Modified: 2014-12-07 20:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11716 - Use new DataTables include in label manage template (2.00 KB, patch)
2014-02-07 20:07 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11716 - Use new DataTables include in label manage template (2.03 KB, patch)
2014-02-24 18:30 UTC, wajasu
Details | Diff | Splinter Review
Bug 11716 - Use new DataTables include in label manage template (2.08 KB, patch)
2014-02-25 10:25 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-02-07 19:36:36 UTC
The label template should be updated to use the new DataTables include file introduced by Bug 10649.
Comment 1 Owen Leonard 2014-02-07 20:07:22 UTC Comment hidden (obsolete)
Comment 2 wajasu 2014-02-24 18:30:25 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-02-25 10:25:42 UTC
Created attachment 25612 [details] [review]
Bug 11716 - Use new DataTables include in label manage template

This patch modifies the template for the label manage pages to use
the new DataTables include. This simplifies the inclusion of assets and
updates to the latest DataTables version.

To test, view the following pages and confirm that table sorting is
working correctly:

Manage layouts (/cgi-bin/koha/labels/label-manage.pl?label_element=layout)
Manage templates (/cgi-bin/koha/labels/label-manage.pl?label_element=template)
Manage profiles (/cgi-bin/koha/labels/label-manage.pl?label_element=profile)
Manage batches (/cgi-bin/koha/labels/label-manage.pl?label_element=batch)

Signed-off-by: wajasu <matted-34813@mypacks.net>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Galen Charlton 2014-02-27 16:09:33 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Fridolin Somers 2014-05-21 10:05:29 UTC
Pushed to 3.14.x, will be in 3.14.07